Bug 596242 - [enh] allow GUI configuration for DHCP hostname handling [NEEDINFO]
[enh] allow GUI configuration for DHCP hostname handling
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 08:48 EDT by Roman Valov
Modified: 2015-02-18 08:26 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:26:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jkeating: needinfo? (dcbw)


Attachments (Terms of Use)
system-config-network screenshot (94.56 KB, image/png)
2010-05-26 11:47 EDT, Jiri Popelka
no flags Details
DHCP_HOSTNAME in nm-connection-editor (10.96 KB, patch)
2010-05-28 12:10 EDT, Jirka Klimes
no flags Details | Diff

  None (edit)
Description Roman Valov 2010-05-26 08:48:10 EDT
Description of problem:
My router expects each dhcp request to it should include hostname-id of the client. Once hostname is received, router puts this hostname to dns records. With Fedora 13 i'm unable to force Fedora machine to send hostname in dhcp request.

How reproducible:
I've tried two ways, first is set DHCP_HOSTNAME variable in /etc/sysconfig/network and then ran dhclient. My router interface and one of other network clients shows that hostname is inaccessible (set).

After it I've tried to setup DHCP client id in IPv4 properties of ethernet connection (using Network Manager) and then forced to reconnect ethernet connection. I've checked that Network Manager created script var/run/nm-dhclient-eth0.conf and there is a line
send dhcp-client-identifier "myhostname";
however I still have no results on router and remote machines.
Comment 1 Jiri Popelka 2010-05-26 10:42:42 EDT
(In reply to comment #0)
> I've tried two ways, first is set DHCP_HOSTNAME variable in
> /etc/sysconfig/network and then ran dhclient.
Set the DHCP_HOSTNAME variable in /etc/sysconfig/network-scripts/ifcfg-eth0.

> After it I've tried to setup DHCP client id in IPv4 properties of ethernet
> connection (using Network Manager) and then forced to reconnect ethernet
> connection. I've checked that Network Manager created script
> var/run/nm-dhclient-eth0.conf and there is a line
> send dhcp-client-identifier "myhostname";
> however I still have no results on router and remote machines.    
Client-identifier is not hostname (find host-name and dhcp-client-identifier
in 'man dhcp-options').
I don't know whether we can set sending of hostname option with NetworkManager.
If you want to use some GUI tool, you can set sending of hostname option in system-config-network.
Comment 2 Roman Valov 2010-05-26 11:03:19 EDT
(In reply to comment #1)
> Set the DHCP_HOSTNAME variable in /etc/sysconfig/network-scripts/ifcfg-eth0.
Thanks, it works.

> 
> Client-identifier is not hostname (find host-name and dhcp-client-identifier
> in 'man dhcp-options').
> I don't know whether we can set sending of hostname option with NetworkManager.
> If you want to use some GUI tool, you can set sending of hostname option in
> system-config-network.    
However I can't find appropriate option/field in system-config-network. There is only single hostname option (which doesn't affect DHCP_HOSTNAME) and there is no hostname option in device settings.

Could DHCP_HOSTNAME set automatically from HOSTNAME on install/device creation?
Comment 3 Jiri Popelka 2010-05-26 11:47:21 EDT
Created attachment 416888 [details]
system-config-network screenshot

(In reply to comment #2)
> However I can't find appropriate option/field in system-config-network. There
> is only single hostname option (which doesn't affect DHCP_HOSTNAME) and there
> is no hostname option in device settings.
I doubleclick the eth0 device (on Devices tab),
fill a value into "Hostname (optional):" textfield,
OK, File->Save,
cat /etc/sysconfig/network-scripts/ifcfg-eth0
and there it (DHCP_HOSTNAME) is.
> Could DHCP_HOSTNAME set automatically from HOSTNAME on install/device creation?    
Question probably for anaconda team.
Comment 4 Jiri Popelka 2010-05-27 09:33:17 EDT
Over to anaconda for that question in comment #2.
Comment 5 David Cantrell 2010-05-27 09:53:19 EDT
Reassigning to NetworkManager, since it handles the actual dhcp request from anaconda.  We do not do any special handling in anaconda to collect a special DHCP_HOSTNAME value and never have.  We have had support for the vendor-class-identifier, but that's it.
Comment 6 Jirka Klimes 2010-05-28 12:08:46 EDT
DHCP_HOSTNAME is correctly handled by NetworkManager ifcfg-rh plugin. And NetworkManager uses hostname for DHCP when provided with one.

What is missing are bits in nm-connection-editor to specify the hostname.
The patch in the attachment adds the functionality.
Comment 7 Jirka Klimes 2010-05-28 12:10:19 EDT
Created attachment 417678 [details]
DHCP_HOSTNAME in nm-connection-editor
Comment 8 Luca Botti 2010-05-30 03:34:55 EDT
+1 for the patch. Other known way is to edit (gconf-editor) the connection and add the dhcp-hostname (string) and dhcp-send-hostname (integer, 1) as keys.
Comment 9 Jan Vlug 2010-12-27 14:00:44 EST
Are there any objections for sending the current hostname as the DHCP hostname by default? If not this might be the desired default behavior.
Comment 10 Jirka Klimes 2011-02-01 11:17:13 EST
(In reply to comment #9)
> Are there any objections for sending the current hostname as the DHCP hostname
> by default? If not this might be the desired default behavior.

This is now upstream, see bug 488975.


Changing this bug to RFE for GUI configuration of dhcp-send-hostname parameter.
Comment 11 Bug Zapper 2011-06-02 09:26:02 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bill McGonigle 2011-06-02 15:40:40 EDT
I don't see it in the GUI on Fedora 15.  Please update version, Roman or Dan.
Comment 13 Jirka Klimes 2011-06-03 03:58:25 EDT
The GUI patch (comment #7) was not pushed because we didn't come into a conclusion whether we want the GUI.
Dan what do you think?
Comment 14 Daniel Manchester 2012-04-22 15:36:18 EDT
Hi,

Just wanted to provide a heads-up that the Red Hat 6.2 documentation is written as if this enhancement is already available. For the details, please see the first bullet under "Some Notes on Configuring Linux Networking" on this page:

http://oklampy.wordpress.com/2012/04/19/installing-the-operating-system-and-battling-new-host/
Comment 15 Fedora End Of Life 2012-08-06 16:00:03 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora End Of Life 2012-08-06 16:00:45 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bill McGonigle 2012-08-07 11:40:03 EDT
Still not there in F17.  Please re-open.

Looks like this bug was waiting on a response from Dan Williams, per comment #13.

There are places where ISC dhcpd, which we ship with Fedora, can match on dhcp-hostname but not dhcp-client-identifier.   Presumably this is why Redhat supports it in the first place.

I think the only remaining question is if we want to restrict users who utilize this functionality to editing network-scripts or give them GUI access to it.  I can't think of a compelling reason why this particular variable should be restricted.
Comment 18 Jesse Keating 2012-08-07 14:27:28 EDT
There are plenty of things that are "restricted" in the GUI.  Adding more configuration options to the installer just means more code and complexity.  More code paths to test, more interactions to work through.  Is it worth it?  Maybe.  We don't expose every possible configuration option though, just because it's there.
Comment 19 Matthew Woehlke 2012-12-11 19:22:13 EST
I suppose I'm being bitten by this. In F18, NM is no longer registering my machine  hostname in DHCP's DNS. This is a HUGE PROBLEM as this particular machine is a service provider and MUST have a registered DNS name.

This needs to be fixed. NM is seriously broken right now...

(I eventually had to resort to running dhclient by hand. I was not able to find any other way - without trying to toss out NM entirely, at least - to get my machine registered.)
Comment 20 Fedora End Of Life 2013-04-03 16:01:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 21 Fedora End Of Life 2015-01-09 16:44:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-02-18 08:26:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.